dubbo:
  protocol:
    name: dubbo
    port: 8110
  application:
    name: oss-store-provider
  scan:
    base-packages: cn.reghao.oss.store.rpc
  registry:
    address: N/A
server:
  port: 8010
  tomcat:
    connection-timeout: 1800_000
    keep-alive-timeout: 1800_000
spring:
  servlet:
    multipart:
      max-request-size: 20GB
      max-file-size: 20GB
  application:
    name: oss-store
  profiles:
    active: @profile.active@
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
mybatis:
  configuration:
    map-underscore-to-camel-case: true
    # mybatis sql 执行日志
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/**.xml
  type-aliases-package: cn.reghao.oss.store.model.po